package BlogIDViewer::CMS;

use strict;

#for 5.0x
sub display_blog_id_header {
    my ($cb, $app, $template) = @_;
    return if MT->VERSION >= 5.1;

    my $old = <<HERE;
                                    <li><mt:if name="fav_website_can_link"><a href="<\$mt:var name="mt_url"\$>?blog_id=<\$mt:var name="fav_website_id"\$>&amp;<\$mt:var name="return_args" escape="html"\$>"></mt:if><mt:var name="fav_website_name" escape="html"><mt:if name="fav_website_can_link"></a></mt:if></li>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
                                    <li><mt:if name="fav_website_can_link"><a href="<\$mt:var name="mt_url"$\>?blog_id=<\$mt:var name="fav_website_id"\$>&amp;<\$mt:var name="return_args" escape="html"\$>"></mt:if><mt:var name="fav_website_id">:<mt:var name="fav_website_name" escape="html"><mt:if name="fav_website_can_link"></a></mt:if></li>
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
                                    <li><a href="<\$mt:var name="mt_url"\$>?blog_id=<\$mt:var name="fav_blog_id"\$>&amp;<\$mt:var name="return_args" escape="html"\$>"><mt:var name="fav_blog_name" escape="html"> <span class="parent"><__trans phrase="(on [_1])" params="<mt:var name="fav_parent_name" escape="html" escape="html">"></span></a></li>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
                                    <li><a href="<\$mt:var name="mt_url"\$>?blog_id=<\$mt:var name="fav_blog_id"\$>&amp;<\$mt:var name="return_args" escape="html"\$>"><mt:var name="fav_blog_id">:<mt:var name="fav_blog_name" escape="html"> <span class="parent"><__trans phrase="(on [_1])" params="<mt:var name="fav_parent_name" escape="html" escape="html">"></span></a></li>
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
                            <em><a href="<\$mt:var name="mt_url"\$>?__mode=dashboard&amp;blog_id=<\$mt:var name="curr_website_id"\$>"><mt:var name="curr_website_name" escape="html"></a></em>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
                            <em><a href="<\$mt:var name="mt_url"\$>?__mode=dashboard&amp;blog_id=<\$mt:var name="curr_website_id"\$>"><mt:var name="curr_website_id">:<mt:var name="curr_website_name" escape="html"></a></em>
HERE
    $$template =~ s/$old/$new/g;

    $old = <<HERE;
                                    <em><a href="<\$mt:var name="mt_url"\$>?__mode=dashboard&amp;blog_id=<\$mt:var name="curr_blog_id"\$>"><mt:var name="curr_blog_name" escape="html"></a></em>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
                                    <em><a href="<\$mt:var name="mt_url"\$>?__mode=dashboard&amp;blog_id=<\$mt:var name="curr_blog_id"\$>"><mt:var name="curr_blog_id">:<mt:var name="curr_blog_name" escape="html"></a></em>
HERE
    $$template =~ s/$old/$new/;

}

# for 5.0
sub display_blog_id_blog_table {
    my ($cb, $app, $template) = @_;
    return if MT->VERSION >= 5.1;

    my $old = <<HERE;
            <th class="name primary-col"><__trans phrase="[_1] Name" params="<mt:var name="object_label" capitalize="1">"></th>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
            <th class="blogid"><__trans phrase="Blog ID"></th>
<th class="name primary-col"><__trans phrase="[_1] Name" params="<mt:var name="object_label" capitalize="1">"></th>
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
            <td class="name"><a href="?__mode=dashboard&amp;blog_id=<mt:var name="id">"><mt:var name="name" escape="html"></a></td>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
<td><mt:var name="id"></td>
            <td class="name"><a href="?__mode=dashboard&amp;blog_id=<mt:var name="id">"><mt:var name="name" escape="html"></a></td>
HERE
    $$template =~ s/$old/$new/;
}

# for 5.1
sub display_blog_id_scope_selector {
    my ($cb, $app, $template) = @_;
    return if MT->VERSION < 5.1;

    my $old = <<HERE;
        <mt:if name="fav_website_can_link">
          <a href="<\$mt:var name="mt_url"\$>?blog_id=<\$mt:var name="fav_website_id"\$>&amp;<\$mt:var name="return_args" escape="html"\$>" class="scope-link"><mt:var name="fav_website_name" escape="html"></a>
        <mt:else>
          <mt:var name="fav_website_name" escape="html">
        </mt:if>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
        <mt:if name="fav_website_can_link">
          <a href="<\$mt:var name="mt_url\$">?blog_id=<\$mt:var name="fav_website_id"\$>&amp;<\$mt:var name="return_args" escape="html"\$>" class="scope-link"><mt:var name="fav_website_id">:<mt:var name="fav_website_name" escape="html"></a>
        <mt:else>
          <mt:var name="fav_website_name" escape="html">
        </mt:if>
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
          <a href="<\$mt:var name="mt_url"\$>?blog_id=<\$mt:var name="fav_blog_id"\$>&amp;<\$mt:var name="return_args" escape="html"\$>" class="scope-link"><mt:var name="fav_blog_name" escape="html"> <span class="parent"><__trans phrase="(on [_1])" params="<mt:var name="fav_parent_name" escape="html" escape="html">"></span></a>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
          <a href="<\$mt:var name="mt_url"\$>?blog_id=<\$mt:var name="fav_blog_id"\$>&amp;<\$mt:var name="return_args" escape="html"\$>" class="scope-link"><mt:var name="fav_blog_id">:<mt:var name="fav_blog_name" escape="html"> <span class="parent"><__trans phrase="(on [_1])" params="<mt:var name="fav_parent_name" escape="html" escape="html">"></span></a>
HERE
    $$template =~ s/$old/$new/;

    $old = <<HERE;
        <em class="scope-label"><a href="<\$mt:var name="mt_url"\$>?__mode=dashboard&amp;blog_id=<\$mt:var name="curr_website_id"\$>"><mt:var name="curr_website_name" escape="html"></a></em>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
        <em class="scope-label"><a href="<\$mt:var name="mt_url"\$>?__mode=dashboard&amp;blog_id=<\$mt:var name="curr_website_id"\$>"><mt:var name="curr_website_id">:<mt:var name="curr_website_name" escape="html"></a></em>
HERE
    $$template =~ s/$old/$new/g;

    $old = <<HERE;
        <em class="scope-label"><a href="<\$mt:var name="mt_url"\$>?__mode=dashboard&amp;blog_id=<\$mt:var name="curr_blog_id"\$>"><mt:var name="curr_blog_name" escape="html"></a></em>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
        <em class="scope-label"><a href="<\$mt:var name="mt_url"\$>?__mode=dashboard&amp;blog_id=<\$mt:var name="curr_blog_id"\$>"><mt:var name="curr_blog_id">:<mt:var name="curr_blog_name" escape="html"></a></em>
HERE
    $$template =~ s/$old/$new/;
}

1;
